LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XScriptEventsSupplier Interface Referencepublished

Gives access to an event container represented by an XNameContainer containing ScriptEventDescriptor instances. More...

`import"XScriptEventsSupplier.idl";`

Inheritance diagram for XScriptEventsSupplier:

## Public Member Functions
com::sun::star::container::XNameContainer | getEvents ()
| Returns an XNameContainer containing instances of ScriptEventDescriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Gives access to an event container represented by an XNameContainer containing ScriptEventDescriptor instances.

## Member Function Documentation

## ◆ getEvents()

com::sun::star::container::XNameContainer getEvents | ( |  | ) |

Returns an XNameContainer containing instances of ScriptEventDescriptor.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XScriptEventsSupplier.idl